package com.huashe.park.domain.entity;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备轨迹对象 bd_devc_trail
 * 
 * @author ruoyi
 * @date 2024-11-07
 */
public class BdDevcTrail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 设备唯一键 */
    @Excel(name = "设备唯一键")
    private String devcKey;

    /**  */
    @Excel(name = "")
    private String dt;

    /**  */
    @Excel(name = "")
    private String poly;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDevcKey(String devcKey) 
    {
        this.devcKey = devcKey;
    }

    public String getDevcKey() 
    {
        return devcKey;
    }
    public void setDt(String dt) 
    {
        this.dt = dt;
    }

    public String getDt() 
    {
        return dt;
    }
    public void setPoly(String poly) 
    {
        this.poly = poly;
    }

    public String getPoly() 
    {
        return poly;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("devcKey", getDevcKey())
            .append("dt", getDt())
            .append("poly", getPoly())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
